Red Hat Linux/x86 7.2 Notes sur la version
---------------------------------------------

Anaconda/Notes sur l'installateur
---------------------------------

 Chargeur de démarrage
 ---------------------

   - Nous utilisons maintenant GRUB comme chargeur de démarrage par défaut.
     Toutefois, LILO est encore disponible pour des installations classiques.  

   - GRUB prend en charge un mot de passe qui permet d'accéder au
     shell GRUB. Etant donné la capacité de GRUB à exécuter des commandes,
     cela peut être important pour le maintien
     de la sécurité du système. Faites y attention avant de
     créer un mot de passe GRUB. Ce mot de
     passe sera crypté à l'aide de MD5 ; reportez-vous à la page de
     manuel grub-md5-crypt pour plus d'informations.

   - Lorsque vous effectuez une mise à jour de Red Hat Linux, il
     est nécessaire d'écrire le chargeur de démarrage au même
     endroit utilisé lors de l'installation précédente. Exemple :
     si le chargeur de démarrage était écrit dans le MBR (master
     boot record) à l'origine, le chargeur de démarrage doit également être
     écrit dans le MBR lors de la mise à jour. Autrement,
     il est fort possible que le système ne puisse pas démarrer.
     
   - Si vous utilisez le chargeur de démarrage GRUB,
     vous n'avez pas à exécuter GRUB de nouveau après avoir
     mis à jour votre noyau, contrairement au chargeur de
     démarrage LILO, qui nécessitait d'être réexécuté après
     la modification. Modifiez simplement le
     fichier de configuration de GRUB (/boot/grub/grub.conf),
     de façon à ce qu'il pointe vers le nouveau noyau pour
     lui permettre de le faire démarrer.

   - Si vous décidez de changer et d'utiliser le chargeur de
     démarrage après l'installation ou avez besoin de réinstaller
     GRUB, vous pouvez le faire au moyen de la commande
     /sbin/grub-install. La syntaxe de la commande doit contenir
     les spécifications de périphérique indiquant l'endroit où le chargeur
     de démarrage doit être installé.

     Exemple :
               /sbin/grub-install /dev/hda

   - Pour démarrer en mode mono-utilisateur depuis GRUB, suivez
     la procédure suivante à partir de l'écran menu GRUB :

         1.  Sélectionnez le noyau désiré ;

         2.  Appuyez sur la touche « e » pour éditer cette entrée ;

         3.  Utilisez les touches de direction (flèches) pour naviguer
			 jusqu'à la ligne du noyau
             (exemple : kernel /vmlinuz-2.4.7-1 ro root=/dev/hda2) ;

         4.  Appuyez sur la touche « e » pour éditer la ligne ;

         5.  Ajoutez l'argument « single » à la fin de la ligne, puis
			 appuyez sur la touche Entrée ;

         6.  Appuyez sur la touche « b » pour démarrer.


 Partitionnement
 ---------------

   - L'interface utilisateur Disk Druid a été redessinée afin d'incorporer
     une interface qui tire davantage parti d'un environnement graphique.

   - Disk Druid peut maintenant créer des partitions primaires en
     spécifiant un éventail de cylindres.

   - Disk Druid prend maintenant en charge la possibilité de spécifier qu'une
     nouvelle partition doit être créée en tant que partition primaire.

   - Les installations en mode de texte offrent maintenant la prise
     en charge de la création de périphériques RAID.

   - La spécification de périphériques de rechange pour les périphériques
     RAID est maintenant prise en charge.

   - Le partitionnement automatique vous permet maintenant de
     spécifier les lecteurs à utiliser et ceux qui ne doivent
     absolument pas être touchés.

   - Il y a maintenant une option qui permet de visualiser et
     éditer les résultats du partitionnement automatique (uniquement
     pour les installations graphiques ; en mode de texte vous
     verrez toujours les résultats).

   - Le système de fichiers journalisés ext3 est maintenant disponible.

   - Les systèmes de fichiers préexistants peuvent être sélectionnés
     afin d'être formatés de nouveau durant l'installation.

   - Les systèmes de fichiers ext2 préexistants peuvent être convertis
     en systèmes de fichiers ext3 durant les installations et les
     mises à jour. Ce processus n'affecte pas les données contenues
     dans les systèmes de fichiers.

   - De nombreux contrôles additionnels sont effectués sur les
     les points de montage créés par les utilisateurs ; cela devrait
     permettre d'éviter la plupart des problèmes courants (tels qu'un
     point de montage « / » de 5 Mo seulement).

   - On utilise maintenant Parted de GNU comme outil par défaut de
     partitionnement, qui remplace ainsi la bibliothèque libfdisk.

     Parted détermine le type de système de fichiers en examinant
     le système de fichiers courant écrit dans une partition plutôt
     que de se baser sur le type de système de fichiers écrit dans
     la table de partition. Cela peut créer certaines confusions
     en présence de partitions préexistantes.

     Exemple : si vous utilisez fdisk pour changer le type de partition
     d'une partition, la faisant passer de VFAT à ext2, Parted la considère
     tout de même comme une partition VFAT car il y a encore un système
     de fichiers VFAT dessus. Dans cet exemple, vous devez explicitement
     reformater la partition en tant que ext2 à l'aide de l'interface
     Disk Druid avant que la partition ne soit traitée comme ext2. Chaque
     fois que vous utilisez fdisk dans l'installateur et passez
     ensuite à l'écran de Disk Druid pour régler les points de montage,
     vous devriez également réviser et éditer chaque partition (dans
     Disk Druid) et configurer correctement leurs options de format.

 Kickstart
 ---------
 
   - Pendant le processus d'installation, un fichier kickstart
     reproduisant les options d'installation choisies par l'utilisateur
     est créé dans /root/anaconda-ks.cfg. Ce fichier peut être
     utilisé pour créer une installation semblable au système
     nouvellement installé.

   - Kickstart s'exécute en mode graphique (lorsque ce mode est
     disponible). Cependant, il peut être remis en mode de texte
     à l'aide de la directive « text » dans le fichier kickstart.

   - Kickstart Configurator (ksconfig) prend maintenant en charge la
     création de partitions sur un lecteur spécifique et un lecteur
     existant, la configuration de X Window, l'écriture de scripts
     avant et après installation, l'exécution d'une mise à jour et
     les nouvelles fonctions kickstart présentes dans cette version.
     Il permet également aux utilisateur de prévisualiser leurs
     choix avant d'enregistrer le fichier et est accompagné d'un manuel intégré
     pour faciliter la création de fichiers kickstart.

   - Kickstart a plusieurs nouvelles fonctions/directives :

     interactive -- lit dans le fichier kickstart, parcourt l'installation
			  à l'aide d'une interface utilisateur remplie avec les valeurs
			  kickstart. Attend l'entrée de l'utilisateur à chaque
			  écran.

     text -- force kickstart à s'exécuter en mode de texte. Par défaut,
		 kickstart s'exécute maintenant en mode graphique.

   - La directive clearpart accepte maintenant l'option --ondisk :

     --ondisk -- permet de spécifier les lecteurs sur lesquels créer
		     des partitions.

   - Une nouvelle commande pour le chargeur de démarrage, « bootloader »,
     qui prend en charge ce qui suit :

     --append <args> -- append <args> sur la ligne du noyau

     --useLilo -- utiliser LILO au lieu de GRUB

     --md5pass <mot de passe MD5 crypté> -- mot de passe que doit utiliser GRUB

   - Autres indicateurs pour la directive xconfig à définir :

     --resolution 1024x768 -- règle la résolution de l'écran (1024 x 768 dans cet exemple)

     --depth 16 -- règle la densité d'affichage de couleur (couleurs 16 bits dans cet
			 exemple)

 Divers
 ------

   - L'écran de sélection de paquetages individuels prend maintenant
     en charge une visualisation complète de tous les paquetages.

   - Pour les installations basées sur FTP, il est maintenant possible
     de monter en bouclage les images ISO Red Hat Linux sur un
     serveur FTP. Les images ISO devraient être montées en bouclage
     en tant que /disc1, /disc2 et ainsi de suite, dans un même
     répertoire. Ce répertoire devrait ensuite être spécifié
     lorsqu'une installation FTP est lancée.

   - Afin de maximiser l'espace dans l'image d'installation, le
     programme BusyBox offre maintenant la prise en charge de nombreuses
     commandes couramment utilisées.

   - Le mode de secours avertit maintenant avant d'essayer de monter
     des systèmes de fichiers du système installé.

  - Les installations sans partition ne sont plus prises en charge ;
    toutefois, les mises à jour d'installations sans partition
    précédentes sont encore prises en charge.

   - Les périphériques disquette USB sont maintenant pris en charge durant
     l'installation.


Notes générales de la distribution
----------------------------------

   - Il existe un problème connu en ce qui a trait à la mise à jour
     de systèmes Red Hat Linux 6.x, 7.0 et 7.1 qui exécutent GNOME
     Ximian.

     Le problème est dû à la superposition de versions entre les
     RPM officiels de Red Hat Linux et les RPM Ximian. Sachez
     que cette configuration n'est pas prise en charge par Red Hat.
     Diverses solutions s'offrent à vous pour régler ce problème :

     - Vous pouvez retirer GNOME Ximian de votre système Red Hat Linux
	 avant de procéder à la mise à jour de Red Hat Linux.

     - Vous pouvez mettre à jour Red Hat Linux et puis réinstaller
	 immédiatement GNOME Ximian.

     - Vous pouvez mettre à jour Red Hat Linux, puis supprimer
	 immédiatement tous les RPM Ximian restants et les remplacer
	 par les RPM Red Hat Linux correspondants.

     Vous « devez » résoudre ce problème de superposition des versions
     à l'aide d'une des solutions mentionnées ci-dessus, sinon votre
     configuration GNOME sera instable.

   - GNOME a été mis à jour à 1.4 et comprend le shell graphique
     Nautilus.

   - Le tableau de bord GNOME a été remplacé par le dossier
     « preferences: » dans Nautilus. Toutefois, vous devriez
     encore pouvoir exécuter « gnomecc » manuellement.

   - Le CD-ROM PowerTools n'est plus produit. Cependant, les paquetages
     les plus utilisés qui s'y trouvaient ont été ajoutés à Red Hat
     Linux.
 
   - Configuration de pare-feu - Pour une plus grande sécurité,
     vous pouvez configurer un pare-feu dans le cadre de l'installation
     de votre système. Vous avez le choix entre deux niveaux de
     sécurité et pouvez également sélectionner les services système
     courants qui doivent être autorisés ou refusés par défaut.

     Veuillez prendre note que les paramétrages de pare-feu « medium » et
     « high » bloquent tous deux les services basés sur RPC (tels que NIS ou NFS)
     et, par conséquent, les font échouer.

   - XFree86 a été mis à jour à 4.1.0 et offre une prise en charge améliorée
     du matériel. Le matériel d'accélération 3D pour le Radeon ATI est
     maintenant compris. La plupart des pilotes vidéo prennent maintenant
     en charge l'extension RENDER, offrant la prise en charge de polices
     anti-crénelage à un plus vaste éventail de matériel. Les anciennes
     extensions X XIE et PEX (Phigs) sont maintenant officiellement
     déconseillées par l'équipe XFree86 et seront supprimées lors
     d'une des prochaines versions de Red Hat Linux.

  - XFree86 3.3.6 est maintenant déconseillé et sera supprimé lors d'une
    prochaine version de Red Hat Linux. Il est actuellement inclus pour
    des raisons de compatibilité.

   - initscripts utilise maintenant /sbin/ip (des paquetages iproute) pour la
     plupart des opérations. /sbin/ip nécessite les fonctions netling
     et netling routing pour fonctionner correctement ; il est impossible
     d'utiliser la totalité des fonctionnalités de routage du noyau sans
     ces deux fonctions. Si vous construisez votre propre noyau, assurez-vous
     que les fonctions CONFIG_NETLINK et CONFIG_RTNETLINK sont activées.

   - La prise en charge unifiée initiale du coréen a été ajoutée.

   - Binutils et gcc prennent maintenant en charge la fusion de duplicatas
     de constantes chaîne dans des binaires entiers ou des bibliothèques
     partagées (auparavant, les duplicatas étaient fusionnés dans
     une unité de compilation simple seulement).

   - gcc-3.0 est inclus pour ceux qui ont besoin de la prise en charge
     C++ ou STL conforme aux normes et pour ceux qui veulent utiliser
     les fonctions Java de gcc. Notez que le compilateur de système
     pris en charge pour C et C++ demeure gcc-2.96
     (Red Hat).

   - Le paquetage VNC prend maintenant en charge un nouveau type
     de codage pour les connexions à bas débit.

   - Red Hat Linux comprend maintenant la première publication du
     processeur XSLT GNOME (xsltproc) utilisant la version 2 de
     la bibliothèque XML associée.

   - On a ajouté la prise en charge ODBC à php, postgresql a été mis à jour à
     7.1.2, des interfaces python ont été ajoutées et les interfaces perl ont
     été mises à jour.

   - De nombreux nouveaux outils de configuration ont été inclus. Ces outils
     vous permettent de configurer les éléments suivants :

       -  réseau (redhat-config-network)
       -  heure/date (redhat-config-date)
       -  contrôle du système (redhat-config-services)
       -  utilisateurs/groupes (redhat-config-users)
       
   - Les paquetages/fonctions suivants sont déconseillés et pourraient
     être supprimés lors d'une prochaine version de Red Hat Linux :
     
       - Netscape 4.x
       - Qt 1.x
       - Bibliothèques de compatibilité/environnement de construction de KDE v1
       - Environnement de construction de Red Hat Linux 6.x
       - Gestionnaire de fenêtres Enlightenment
       - linuxconf
       - ncpfs
       - mars_nwe
       - XFree86 3.3.x
       - kaffe

Notes sur le noyau
------------------

   - Le noyau contient maintenant le système de fichiers journalisés
     ext3. Ce système de fichiers a trois modes d'opération :

       - « ordered »
       - « journal »
       - « writeback »

     La valeur par défaut, « ordered », fait en sorte que vous puissiez
     toujours visualiser des données valides dans les fichiers
     écrits récemment après une panne.

     Le mode « writeback » peut parfois être plus rapide, mais il ne
     force pas les données au disque aussi rigoureusement. Par conséquent,
     après une panne, il pourrait y avoir des corruptions dans les
     fichiers écrits récemment.

     Le mode « journal » copie toutes les données dans le journal et peut
     donner de bonnes poussées de vitesse si vous exécutez de nombreuses
     écritures de données synchrones (ex. : spooles de courrier ou serveurs
     NFS synchrones). Toutefois, lors d'une utilisation normale, le mode
     « journal » est généralement beaucoup plus lent.

     Le mode se règle en utilisant l'option de montage « data=<mode> »
     dans /etc/fstab ou « mount -o data=<mode> » sur la ligne de
     commande de montage.

     Normalement, un système de fichiers ext2 est vérifié automatiquement
     lorsqu'une certaine période de temps s'est écoulée ou qu'un nombre
     donné de montages faits a été atteint depuis la dernière vérification du
     système de fichiers. Lorsque c'est le cas, une vérification totale du système de
     fichiers (fsck) est forcée au démarrage du système, afin de
     contrôler l'intégrité du système de fichiers.

     Lorsque l'installateur crée un système de fichiers ext3 ou met
     à jour un système de fichiers ext2 pour qu'il devienne ext3, il
     désactive ces vérifications automatiques. Utilisez « tune2fs »
     avec les options « -c » ou « -i » pour les réactiver ou pour les
     désactiver sur des systèmes de fichiers ext3 que vous créez
     manuellement.

     Notez que ces vérifications fsck n'ont rien à voir avec
     le comportement du système de fichiers lorsqu'une erreur est
     découverte sur le disque ou lors d'une panne. Si une erreur
     de cohérence de système de fichiers est découverte sur le
     disque, la vérification fsck sera alors forcée à chaque
     redémarrage suivant, aussi bien pour les systèmes de fichiers
     ext2 que ext3. Si une panne se produit sur un système de
     fichier intact, ext2 forcera toujours une vérification et 
     ext3 exécutera toujours ses étapes de reprise sur incident du
     système de fichiers ; ces opérations ne sont pas affectées
     par le réglage de l'intervalle de vérification forcée de
     « tune2fs ».

     Veuillez prendre note que les fichiers journaux aussi peuvent être 
     endommagés en cas de panne d'électricité. Lorsqu'un système est privé 
     de courant, le comportement de ce système est indéterminé. Exemple : le 
     contenu de la mémoire peut se dégrader (devenir corrompu de façon 
     aléatoire) car il est copié sur le disque dur exécutant les derniers 
     souffles d'énergie. Cette situation est complètement différente de la 
     séquence d'événements définie qu'est l'arrêt du système en appuyant sur 
     le bouton « réinitialiser » lorsque le système est en cours d'exécution. 
     En outre, les disques durs IDE n'offrent pas toutes les garanties d'ordre
     d'écriture que les disques SCSI offrent.

     Aussi, après une panne du système, vous sera-t-il proposé d'effectuer
     la vérification de l'intégrité de vos systèmes de fichiers. Le fichier
     /.autofsck est « l'indicateur de panne » utilisé pour offrir cette 
     fonction. Vous aurez 5 secondes pour entrer la lettre « Y » (oui) si 
     vous désirez procéder à la vérifications des systèmes de fichiers lors 
     de tout démarrage suivant une panne de système, peu importe sa raison.

  - Red Hat Linux installera un noyau optimisé pour les processeurs
    Athlon sur des systèmes ayant une unité centrale de classe Athlon.
    Cette optimisation aura pour effet d'ajouter une charge plus lourde
    sur les composants du système. Aussi, un nombre réduit d'ordinateurs
    échouent-ils au démarrage car leur matériel n'est pas parfaitement
    conforme aux spécifications AMD et donc incapable d'affronter le
    le chargement. Sur ces systèmes, vous pouvez mettre à jour le
    matériel (des blocs d'alimentation trop faibles peuvent en être la cause)
    ou utiliser la fonctionnalité de secours de l'installateur pour installer
    un noyau i686.

  - Certains ordinateurs de classe Athlon ne sont pas conformes ou ont 
    des configurations trop agressives des jeux de circuits paramétrées 
    par leur BIOS. Sur ces ordinateurs vous risquez de voir des messages
    « Oops » aléatoires s'afficher au démarrage (après avoir complété 
    avec succès l'installation) et ne pourrez démarrer correctement. 
    Dans ce cas, démarrez avec l'option « noathlon » afin de désactiver 
    les optimisations Athlon ; installez le noyau 686 au lieu du noyau
    Athlon pour éviter que cela ne se reproduise dans le futur.

Notes sur l'impression
----------------------

   - Le système printconf offre maintenant un programme printconf-tui,
     pour la configuration d'imprimante en mode de texte.

   - Le programme printconf-tui offre des fonctionnalités d'importation
     et d'exportation à la ligne de commande. L'importation peut
     fusionner des définitions d'imprimante avec les définitions
     déjà présentes ou les écraser (par défaut).

     Exemple :

         printconf-tui --Xexport > settings.xml

         printconf-tui --Ximport < settings.xml
     ou :
         printconf-tui --Ximport --merge < settings.xml

     Conjugué à la redirection - telle que « here documents » de bash
     (reportez-vous à la page de manuel de bash pour en savoir plus) -
     il est maintenant facile de mettre les paramètres d'une imprimante
     dans des fichiers kickstart.

   - Le programme printconf-tui peut effacer les paramètres complètement.

     Exemple :

          printconf-tui --Xclear

   - Les outils printconf offrent maintenant une détection automatique
     limitée.

   - redhat-config-printer-tui et redhat-config-printer-gui, alias
     printconf-tui et printconf-gui, respectivement.
     
   - Ghostscript a été mis à jour à 6.51 et prend en charge de nombreux
     pilotes supplémentaires, de même que les fichiers PDF cryptés.

   - On a ajouté la prise en charge pour les pilotes d'impression
     ghostscript hpijs de Hewlett Packard. Bien qu'ils ne soient pas
     fournis avec la distribution, en raison des limites imposées par
     la licence, ils peuvent être téléchargés depuis le site du projet
     à l'adresse http://hpinkjet.sourceforge.net et devraient fonctionner
     en tant que composants additionnels.

i386 7.2
